FROM harbor.cloudwise.com/apm/euspace-base:22.04-arm64
ARG EUSPACE_BASE_PATH=/opt/cloudwise/apm/euspace
RUN mkdir -p $EUSPACE_BASE_PATH
RUN uname -m && cat /etc/os-release

# 拷贝安装目录结构
ADD ./dist/aarch64/package_dir/  $EUSPACE_BASE_PATH/

ARG EUSPACE_BIN_PATH=$EUSPACE_BASE_PATH/bin
#COPY ./euspace $EUSPACE_BIN_PATH/

WORKDIR $EUSPACE_BASE_PATH
ENV PATH=$PATH:$EUSPACE_BIN_PATH

ENTRYPOINT ["euspace"]
